curl --request POST \
--url https://api.example.com/api/v1/project/{id}/dashboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": 1,
"to": 1,
"interval": "1d",
"query": "address:0xdAC17F958D2ee523a2206206994597C13D831ec7",
"timezone": "-01:00"
}
'{
"data": [
{
"contract": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"projectId": 123,
"chainUid": "arbitrum",
"address": "<string>",
"implementation": "<string>",
"name": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"addressType": "CONTRACT",
"amlRequired": true,
"icon": "<string>",
"count": {
"SECURITY": 1,
"COMPLIANCE": 2,
"action": 3,
"trigger": 4
}
},
"total": {
"SECURITY": 1,
"COMPLIANCE": 2,
"action": 3,
"trigger": 4
},
"severity": {
"total": {
"LOW": 1,
"HIGH": 3
}
},
"histogram": [
{
"ts": 123,
"bucket": {
"SECURITY": {
"count": 2,
"maxSeverity": "CRITICAL"
},
"COMPLIANCE": {
"count": 2,
"maxSeverity": "CRITICAL"
},
"action": {
"count": 1,
"maxSeverity": "HIGH"
},
"trigger": {
"count": 1,
"maxSeverity": "LOW"
}
}
}
]
}
],
"transactions": 123
}curl --request POST \
--url https://api.example.com/api/v1/project/{id}/dashboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": 1,
"to": 1,
"interval": "1d",
"query": "address:0xdAC17F958D2ee523a2206206994597C13D831ec7",
"timezone": "-01:00"
}
'{
"data": [
{
"contract": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"projectId": 123,
"chainUid": "arbitrum",
"address": "<string>",
"implementation": "<string>",
"name": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"addressType": "CONTRACT",
"amlRequired": true,
"icon": "<string>",
"count": {
"SECURITY": 1,
"COMPLIANCE": 2,
"action": 3,
"trigger": 4
}
},
"total": {
"SECURITY": 1,
"COMPLIANCE": 2,
"action": 3,
"trigger": 4
},
"severity": {
"total": {
"LOW": 1,
"HIGH": 3
}
},
"histogram": [
{
"ts": 123,
"bucket": {
"SECURITY": {
"count": 2,
"maxSeverity": "CRITICAL"
},
"COMPLIANCE": {
"count": 2,
"maxSeverity": "CRITICAL"
},
"action": {
"count": 1,
"maxSeverity": "HIGH"
},
"trigger": {
"count": 1,
"maxSeverity": "LOW"
}
}
}
]
}
],
"transactions": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
From milliseconds timestamp for histogram calculation
x >= 0To milliseconds timestamp for histogram calculation
x >= 0Interval for histogram buckets calculation. Example: 1h, 3h, 1d, 1M
"1d"
Query string according to https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html with Default: auto_generate_synonyms_phrase_query=false, fuzzy_max_expansions=0, fuzzy_transpositions=false
"address:0xdAC17F958D2ee523a2206206994597C13D831ec7"
TimeZone for histogram buckets calculation. Default: UTC
"-01:00"